Package org.apache.wiki.htmltowiki.syntax

# Class DdDecorator

java.lang.Object
org.apache.wiki.htmltowiki.syntax.DdDecorator

public abstract class DdDecorator extends Object
Translates to wiki syntax from a `DD` element.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final XHtmlElementToWikiTranslator`
`chain`
`protected final PrintWriter`
`out`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`DdDecorator(PrintWriter out, XHtmlElementToWikiTranslator chain)`

## Method Summary

Modifier and Type
Method
Description
`void`
`decorate(org.jdom2.Element e)`
Translates the given XHTML element into wiki markup.
`protected abstract String`
`markupDd()`
Wiki markup for a `dd` element.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### out

protected final PrintWriter out

### chain

protected final XHtmlElementToWikiTranslator chain

## Constructor Details

### DdDecorator

protected DdDecorator(PrintWriter out, XHtmlElementToWikiTranslator chain)

## Method Details

### decorate

public void decorate(org.jdom2.Element e) throws org.jdom2.JDOMException
Translates the given XHTML element into wiki markup.

Parameters:
  `e` - XHTML element being translated.
Throws:
  `org.jdom2.JDOMException`

### markupDd

protected abstract String markupDd()
Wiki markup for a `dd` element.

Returns:
  Wiki markup for a `dd` element.